


<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Tasa de Abastecimiento de Pedido</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="inicio">Inicio</a></li>
              <li class="breadcrumb-item active">Abastecimiento de Pedido</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">

      <!-- Default box -->
      <div class="card">
      <div class="card-header">
          
          <button type="button" class="btn btn-default float-right pull-right" id="daterange">
         
           <span>
             <i class="fa fa-calendar"></i> Rango de fecha
           </span>

           <i class="fa fa-caret-down"></i>

        </button>

        </div>
 
        <div class="card-body">

            <div class="row">
              <div class ="col-6">
                <table class="table table-bordered table-striped dt-responsive tablaTasa" style="font-size:90%; line-height:12px ">
                
                <thead>
                  
                  <tr>
                    <th>#</th>
                    <th>Fecha</th>
                    <th>PAC</th>
                    <th>TPA</th>
                    <th>TAP</th>
                  </tr> 
                </thead>
                <tbody>
                  
                <?php

                if(isset($_GET["fechaInicial"])){
                  $fechaInicial = $_GET["fechaInicial"];
                  $fechaFinal = $_GET["fechaFinal"];
                }else{
                  $fechaInicial = null;
                  $fechaFinal = null;
                }

                  $respuesta = ControladorVentas::ctrRangoFechasTasaPedidos($fechaInicial, $fechaFinal);
                  foreach ($respuesta as $key => $value) {
                    echo' <tr>';
                    echo' <td>'.($key+1).'</td>';
                    echo' <td>'.$value["Mes"].'</td>';
                    $tasa = $value["correcto"]/$value["total"];
                    $tasa = $tasa*100;
                    $por = "%";
                    echo'<td>'.$value["correcto"].'</td>
                    <td>'.$value["total"].'</td>';
                    echo'<td>'.$tasa."".$por.'</td>
                  </tr>';
                  }
                  ?>                 
                </tbody>
                <tfoot style="background-color: #000">
                        <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td style= "color: white"></td>
                            <td style= "color: white"></td>
                          </tr>
                </tfoot>
                </table>

              </div>

            </div>
        </div>

        <!-- /.card-body -->
      </div>
      <!-- /.card -->

    </section>
    <!-- /.content -->
  </div>

  </div>
</div>

  <script>
      
      var elemento = document.getElementById("utilidades");
      elemento.className += " active";

      var elemento = document.getElementById("utilidad");
      elemento.className += " menu-open";

      var elemento = document.getElementById("Tasa");
      elemento.className += " active";

var rotacion = $('.tablaTasa').DataTable({
  "autoWidth": false,
  "stateSave":  true,
  "deferRender":true,
  "retrieve":true,
  "processing": false,
  "processing": false,
  "scrollCollapse":true,
  "paging":false,
  "colReorder": true,
  "language": {

          "decimal": "",
          "sEmptyTable": "No hay información",
          "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ Entradas",
          "sInfoEmpty": "Mostrando 0 to 0 of 0 Entradas",
          "sInfoFiltered": "(Filtrado de _MAX_ total entradas)",
          "sInfoPostFix": "",
          "sInfoThousands": ",",
          "sLengthMenu": "Mostrar _MENU_ Entradas",
          "sLoadingRecords": "Cargando...",
          "sProcessing": "Procesando...",
          "sSearch": "Buscar:",
          "sZeroRecords": "Sin resultados encontrados",
          "oPaginate": {
              "sFirst": "Primero",
              "sLast": "Ultimo",
              "sNext": "Siguiente",
              "sPrevious": "Anterior"
          },
          "oAria": {
              "sSortAscending": ": Activar para ordenar la columna de manera ascendete",
              "sSortDescending": ": Activar para ordenar la columna de manera descendete",
          }
      },
      "drawCallback": function() {
			var api = this.api();
			$(api.column(3).footer()).html(
				'TOTAL: '+Math.round(api.column(3, {page: 'current'}).data().sum()*100)/100
			)

			$(api.column(4).footer()).html(
				'TOTAL: '+(Math.round(api.column(4, {page: 'current'}).data().sum()*100)/100)
			)
			
			
		  },
      "dom": "Bfrtilp",
              "buttons": [
                  {
                      "extend": "pdfHtml5",
                      "download": "open",
                      "text": "<i class='fas fa-file-pdf'></i>",
                      "titleAttr" : "Exportar a pdf",
                      "className": 'btn btn-danger',
                      "filename" : function() {
                          return "Kardex"      
                        },      
                      "customize": function(doc) {
                          doc.defaultStyle.fontSize = 8; 
                          doc.defaultStyle.alignment = 'justify'
                          
                       
                      },
                       "exportOptions": {
                          "columns": ["0","1","2","3","4"],
                          "page": 'current'
                      },
                      "footer": true

                  },
                  {
                    "extend": "excel",
                    "text": "<i class='fas fa-file-excel'></i>",
                    "titleAttr" : "Exportar a Excel",
                    "className": 'btn btn-success',
                    "filename": function() {
                      return "Tasa"      
                      },
                    "exportOptions": {
                      "columns": ["0","1","2","3","4"]
                    }
                  },
                  {
                        "extend": "print",
                        "text": "<i class='fa fa-print'></i>",
                        "titleAttr" : "Imprimir",
                        "className": 'btn btn-info',
                        "customize": function (win) {
                            $(win.document.body)
                                .css( "font-size", "8pt" )
                            $(win.document.body).find( "table" )
                                .addClass( "compact" )
                                .css( "font-size", "8pt" );
                        }
                    }
              ]
      
});

/*=============================================
RANGO DE FECHAS
=============================================*/
if(localStorage.getItem("capturarRango") != null){

	$("#daterange span").html(localStorage.getItem("capturarRango"));

}else {
	$("daterange span").html('<i class="fa fa-calendar"></i> Rango de fecha')
}


$('#daterange').daterangepicker(
	{
	  ranges   : {
		'Hoy'       : [moment(), moment()],
		'Ayer'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
		'Últimos 7 días' : [moment().subtract(6, 'days'), moment()],
		'Últimos 30 días': [moment().subtract(29, 'days'), moment()],
		'Este mes'  : [moment().startOf('month'), moment().endOf('month')],
		'Último mes'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
	  },
	  startDate: moment(),
	  endDate  : moment(),

	  locale : {
		  daysOfWeek: ['Do','Lu','Ma', 'Mi', 'Ju', 'Vi','Sa'],
		  monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre']
	  }
	},
	function (start, end) {
	  $('#daterange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
  
	  var fechaInicial = start.format('YYYY-MM-DD');
	  
	  console.log("fechaInicial", fechaInicial);
  
	  var fechaFinal = end.format('YYYY-MM-DD');
  
	  var capturarRango = $("#daterange span").html();
	 
		 localStorage.setItem("capturarRango", capturarRango);
		 
		 
  
		 window.location = "index.php?ruta=tasa-abastecimiento&fechaInicial="+fechaInicial+"&fechaFinal="+fechaFinal;
  
	}
  
  )

    /*=============================================
CANCELAR RANGO DE FECHAS
=============================================*/

$(".daterangepicker.opensleft .range_inputs .cancelBtn").on("click", function(){

	localStorage.removeItem("capturarRango");
	localStorage.clear();
	window.location = "tasa-abastecimiento";
})

/*=============================================
CAPTURAR HOY
=============================================*/

$(".daterangepicker.opensleft .ranges li").on("click", function(){

	var textoHoy = $(this).attr("data-range-key");

	if(textoHoy == "Hoy"){

		var d = new Date();
		
		var dia = d.getDate();
		var mes = d.getMonth()+1;
		var año = d.getFullYear();

		if(mes < 10){

			var fechaInicial = año+"-0"+mes+"-"+dia;
			var fechaFinal = año+"-0"+mes+"-"+dia;

		}else if(dia < 10){

			var fechaInicial = año+"-"+mes+"-0"+dia;
			var fechaFinal = año+"-"+mes+"-0"+dia;

		}else if(mes < 10 && dia < 10){

			var fechaInicial = año+"-0"+mes+"-0"+dia;
			var fechaFinal = año+"-0"+mes+"-0"+dia;

		}else{

			var fechaInicial = año+"-"+mes+"-"+dia;
	    	var fechaFinal = año+"-"+mes+"-"+dia;

		}	

    	localStorage.setItem("capturarRango", "Hoy");

    	window.location = "index.php?ruta=tasa-abastecimiento&fechaInicial="+fechaInicial+"&fechaFinal="+fechaFinal;

	}

})

</script>

